package com.zd.laboratory.mapper;

import java.util.List;

import com.zd.laboratory.domain.LabBlacklist;
import com.zd.laboratory.domain.dto.LabBlacklistDTO;
import com.zd.laboratory.domain.vo.LabBlacklistVO;
import org.apache.ibatis.annotations.Param;

/**
 * 黑名单Mapper接口
 *
 * @author zd
 * @date 2021-09-01
 */
public interface LabBlacklistMapper {
    /**
     * 查询黑名单
     *
     * @param id 黑名单主键
     * @return 黑名单
     */
    public LabBlacklist selectLabBlacklistById(Long id);

    /**
     * 根据用户查询黑名单是否有记录
     *
     * @param id 黑名单主键
     * @return 黑名单
     */
    public LabBlacklist selectLabBlacklistByUserId(Long id);

    /**
     * 查询黑名单列表
     *
     * @param labBlacklist 黑名单
     * @return 黑名单集合
     */
    public List<LabBlacklist> selectLabBlacklistList(LabBlacklist labBlacklist);

    /**
     * 查询黑名单列表
     *
     * @param labBlacklist 黑名单
     * @return 黑名单集合
     */
    public List<LabBlacklistVO> selectLabBlackVOList(LabBlacklistDTO labBlacklist);

    /**
     * 新增黑名单
     *
     * @param labBlacklist 黑名单
     * @return 结果
     */
    public int insertLabBlacklist(LabBlacklist labBlacklist);


    /**
     * 修改黑名单
     *
     * @param labBlacklist 黑名单
     * @return 结果
     */
    public int updateLabBlacklist(LabBlacklist labBlacklist);

    /**
     * 删除黑名单
     *
     * @param id 黑名单主键
     * @return 结果
     */
    public int deleteLabBlacklistById(Long id);

    /**
     * 批量删除黑名单
     *
     * @param ids 需要删除的数据主键集合
     * @return 结果
     */
    public int deleteLabBlacklistByIds(Long[] ids);
}
